function calculMontantLigne(numLigne, path)
{
	qte = $('#input_QTE_DEM-'+numLigne).val().replace(',', '.').replace(new RegExp(' ', 'g'), '');
	pu = $('#input_PU-'+numLigne).val().replace(',', '.').replace(new RegExp(' ', 'g'), '');
	txRemise = $('#input_TX_REMISE-'+numLigne).val().replace(',', '.').replace(new RegExp(' ', 'g'), '');
	
	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: {'numLigne' : numLigne, 'qte' : qte, 'pu' : pu, 'txRemise' : txRemise}, 
		success : function(json){
			$('#HT-'+numLigne).val(parseFloat(json.montantRemise).toFixed(2));
			$('#MNT_LIG-'+numLigne+' span').text(formatNombre(parseFloat(json.montantRemise).toFixed(2), ' '));
			calculTotal();
		}
	});
	$('#input_PU-'+numLigne).val(formatNombre(parseFloat(pu).toFixed(2), ' '));
	$('#input_TX_REMISE-'+numLigne).val(formatNombre(parseFloat(txRemise).toFixed(2), ' '));
}

function calculTotal(){
	// TODO calculer les totaux HT et TTC pour mettre à jour le bandeau d'entete
	HT = 0;
	TTC = 0;
		
	$('#form_modifPrix tbody tr').each(function()
	{
		numLigne = $(this).find('[name^="HT-"]').attr('name').split('-')[1];
		htLigne = $('#HT-'+numLigne).val().replace(',', '.').replace(new RegExp(' ', 'g'), '');
		tvaLigne = $('#TVA-'+numLigne).val().replace(',', '.').replace(new RegExp(' ', 'g'), '');
		ttcligne = parseFloat(htLigne) * (parseFloat(1) + parseFloat(tvaLigne) / parseFloat(100));
		
		HT = parseFloat(parseFloat(HT) + parseFloat(htLigne)).toFixed(2);
		TTC = parseFloat(parseFloat(TTC) + parseFloat(ttcligne.toFixed(2))).toFixed(2);
		$('#montantHT').text(formatNombre(HT, ' '));
		$('#montantTTC').text(formatNombre(TTC, ' '));
	});
}
